curl --request POST \
--url https://api.aisa.one/apis/v1/agentmail/inboxes/{inbox_id}/drafts \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"labels": [
"<string>"
],
"reply_to": [
"<string>"
],
"to": [
"<string>"
],
"cc": [
"<string>"
],
"bcc": [
"<string>"
],
"subject": "<string>",
"text": "<string>",
"html": "<string>",
"attachments": [
{
"filename": "<string>",
"content_type": "<string>",
"content_id": "<string>",
"content": "<string>",
"url": "<string>"
}
],
"in_reply_to": "<string>",
"send_at": "2023-11-07T05:31:56Z",
"client_id": "<string>"
}
'import requests
url = "https://api.aisa.one/apis/v1/agentmail/inboxes/{inbox_id}/drafts"
payload = {
"labels": ["<string>"],
"reply_to": ["<string>"],
"to": ["<string>"],
"cc": ["<string>"],
"bcc": ["<string>"],
"subject": "<string>",
"text": "<string>",
"html": "<string>",
"attachments": [
{
"filename": "<string>",
"content_type": "<string>",
"content_id": "<string>",
"content": "<string>",
"url": "<string>"
}
],
"in_reply_to": "<string>",
"send_at": "2023-11-07T05:31:56Z",
"client_id": "<string>"
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
labels: ['<string>'],
reply_to: ['<string>'],
to: ['<string>'],
cc: ['<string>'],
bcc: ['<string>'],
subject: '<string>',
text: '<string>',
html: '<string>',
attachments: [
{
filename: '<string>',
content_type: '<string>',
content_id: '<string>',
content: '<string>',
url: '<string>'
}
],
in_reply_to: '<string>',
send_at: '2023-11-07T05:31:56Z',
client_id: '<string>'
})
};
fetch('https://api.aisa.one/apis/v1/agentmail/inboxes/{inbox_id}/drafts', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"inbox_id": "<string>",
"draft_id": "<string>",
"labels": [
"<string>"
],
"updated_at": "2023-11-07T05:31:56Z",
"created_at": "2023-11-07T05:31:56Z",
"client_id": "<string>",
"reply_to": [
"<string>"
],
"to": [
"<string>"
],
"cc": [
"<string>"
],
"bcc": [
"<string>"
],
"subject": "<string>",
"preview": "<string>",
"text": "<string>",
"html": "<string>",
"attachments": [
{
"attachment_id": "<string>",
"size": 123,
"filename": "<string>",
"content_type": "<string>",
"content_id": "<string>"
}
],
"in_reply_to": "<string>",
"references": [
"<string>"
],
"send_at": "2023-11-07T05:31:56Z"
}{
"name": "<string>",
"message": "<string>"
}Create Draft
Create a draft message in a specific inbox.
Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Headers
Bearer authentication
Path Parameters
The ID of the inbox.
Body
Labels of draft.
Reply-to addresses. In format username@domain.com or Display Name <username@domain.com>.
Addresses of recipients. In format username@domain.com or Display Name <username@domain.com>.
Addresses of CC recipients. In format username@domain.com or Display Name <username@domain.com>.
Addresses of BCC recipients. In format username@domain.com or Display Name <username@domain.com>.
Subject of draft.
Plain text body of draft.
HTML body of draft.
Attachments to include in draft.
Show child attributes
Show child attributes
ID of message being replied to.
Time at which to schedule send draft.
Client ID of draft.
Response
Response with status 200
The ID of the inbox.
ID of draft.
Labels of draft.
Time at which draft was last updated.
Time at which draft was created.
Client ID of draft.
Reply-to addresses. In format username@domain.com or Display Name <username@domain.com>.
Addresses of recipients. In format username@domain.com or Display Name <username@domain.com>.
Addresses of CC recipients. In format username@domain.com or Display Name <username@domain.com>.
Addresses of BCC recipients. In format username@domain.com or Display Name <username@domain.com>.
Subject of draft.
Text preview of draft.
Plain text body of draft.
HTML body of draft.
Attachments in draft.
Show child attributes
Show child attributes
ID of message being replied to.
IDs of previous messages in thread.
Schedule send status of draft.
scheduled, sending, failed Time at which to schedule send draft.